跳至內容

Grok Imagine Image

整合

模型 id xai/grok-imagine-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/xai/grok-imagine-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.02 20 API 點數 在此頁面執行

取得 API 金鑰
xAI 文字轉圖像 最高 2k #xai#grok#text-to-image

Grok 文字生成影像,提供從 2:1 到 1:2 的 13 種長寬比,以及 1k 或 2k 解析度

在 Doitong 上製作

Doitong 社群使用 Grok Imagine Image 製作的公開作品。一鍵重複使用提示詞。

顯示的公開作品:16
Art style: Professional portrait photography, cinematic lighting, realistic high detail. Арена, с...

Art style: Professional portrait photography, cinematic lighting, realistic high detail. Арена, свет софитов, на табло алые цифры 00:45. Трибуны полны и неподвижны. Медиум: Арина с чёрной повязкой на волосах держит сковороду правой рукой. Натан стоит за столом напротив, в его руке пинцет....

Art style: 3D Cartoon. Christopher Kolumbus. Ein wettergegerbter Navigator im mittleren Alter mit...

Art style: 3D Cartoon. Christopher Kolumbus. Ein wettergegerbter Navigator im mittleren Alter mit fokussierten bernsteinfarbenen Augen und vom Wind zerzaustem, dunklem Haar. Er trägt ein dunkles Wams aus Wolle mit Lederbesatz über einem Leinenhemd. Seine Haut ist von der Sonne gebräunt und zeigt...

Art style: 3D Cartoon. Columbus leaning in the middle ground. Columbus is leaning on deck in the ...

Art style: 3D Cartoon. Columbus leaning in the middle ground. Columbus is leaning on deck in the middle ground in the midground. Head in right profile. Eyes on water. Reaching down. Hopeful. Close-up at eye level, 9:16. Opening close-up, ending extreme close-up low angle. Key light side, cool...

Art style: 3D Cartoon. Sigmund sitting in the near foreground; Enkel crouching further back in th...

Art style: 3D Cartoon. Sigmund sitting in the near foreground; Enkel crouching further back in the frame. Distance across the rug. Sigmund is sitting on armchair in the near foreground in the midground. Torso in three-quarter turn to screen-right. Head in three-quarter turn to screen-right. Eyes...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, ador...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, adorable characters, family friendly. Майло. A tiny fluffy bright ginger-orange kitten with big expressive emerald-green eyes, a soft white chest, and four little white paws. He has a miniature pink nose...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, ador...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, adorable characters, family friendly. Барнаби. A plump chestnut-brown squirrel with an enormous fluffy tail, wearing a tiny carved acorn shell cap tilted slightly over one ear. He has sharp bright dark...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, ador...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, adorable characters, family friendly. Пип. A chubby, fluffy cream-and-caramel floppy-eared bunny wearing a small pastel blue fabric bow-tie around his neck. He has shiny round dark eyes, pink cheeks, and...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, ador...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, adorable characters, family friendly. Мама-птица и Птенчик. A tiny, round baby bluebird covered in soft pastel-blue downy feathers with gigantic blinking dark eyes and an open yellow beak, perched...

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 88 / 8000

要建立的圖像文字描述。

resolution 預設 1k

圖像解析度選擇,可選標準 (`1k`) 或高 (`2k`)。

預設 1:1

輸出圖像的寬高比。

num_images 預設 1

要產生的圖像數量。

進階 output_format · enable_safety_checker
output_format 預設 jpeg

生成圖像的檔案格式。

POST /run/xai/grok-imagine-image?wait=20 報價 → $0.02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/xai/grok-imagine-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Grok Imagine Image

從最多 8000 個字元的提示詞產生最多 4 張影像。`aspect_ratio` 提供 13 種選項,包括 16:9、4:3、1:1、9:16 及超寬或直向比例,`resolution` 為 1k 或 2k。輸出格式為 jpeg、png 或 webp。回應也會回傳實際使用的修訂提示詞。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
prompt必填
類型string
≤ 8,000 個字元
要建立的圖像文字描述。
num_images選填 num_outputs
類型integer
預設值1
1 – 4
要產生的圖像數量。
aspect_ratio選填
類型enum
預設值1:1
2:120:919.5:916:94:33:21:12:33:49:169:19.59:201:2
輸出圖像的寬高比。
resolution選填
類型enum
預設值1k
1k2k
圖像解析度選擇,可選標準 (`1k`) 或高 (`2k`)。
output_format選填
類型enum
預設值jpeg
jpegpngwebp
生成圖像的檔案格式。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填 標準名稱,也可使用

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "xai/grok-imagine-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "revised_prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
images
array of object {url, content_type, file_name, file_size, width, height}指向生成圖像的 URL。
revised_prompt
string | null用於圖像生成的增強提示詞。

更多模型:文字轉圖像

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/xai/grok-imagine-image.md. 所有模型與指南: https://doitong.com/developers/llms.txt